Loading...
Searching...
No Matches
TreeNode Class Reference

`#include <Cassiopee.h>`

## Public Member Functions

| TreeNode (char nc)
| TreeNode (char nc, long pos)

## Public Attributes

char | c
list< long > | positions
long | next_pos
long | next_length

## Friends

class | boost::serialization::access

## Detailed Description

Node in the suffix tree

If tree is reduced (DO_REDUCTION=1), memory usage is highly reduced, keeping in memory only the branching nodes. Search is made after that looking at branch nodes and sequence content between nodes. In addition, data from file are analysed per chunk, limiting again loaded data in memory.

This treatment requires however more disk usage (reads) and tree manipulations, increasing the index and search time for a gain on memory requirements.

## Constructor & Destructor Documentation

## TreeNode() [1/2]

TreeNode::TreeNode | ( | char | nc | ) |

Creates a node from a char

Parameters

  nc | character for this node

## TreeNode() [2/2]

TreeNode::TreeNode | ( | char | nc,
|  | long | pos )

Creates a node from a char

Parameters

  nc | character for this node
  pos | position of the character in the sequence

## Member Data Documentation

## c

char TreeNode::c

Character to match

## next_length

long TreeNode::next_length

Length of remaining data to read in sequence file

## next_pos

long TreeNode::next_pos

When tree is reduced, store the location of next characters in input sequence file. Reduction can be made from a branch up to the leaf or between 2 branches. If next_pos is equal to -1, then no reduction is made.

## positions

list<long> TreeNode::positions

List of positions in sequence matching this node

The documentation for this class was generated from the following files:

- src/Cassiopee.h
- src/cassiopee.cxx